%define pypi_name	pytz

Name:		python-%{pypi_name}
Version:	2025.1
Release:	%mkrel 2
Summary:	World timezone definitions for Python
License:	MIT
Group:		Development/Python
Url:		https://pypi.org/project/pytz
Source0:	%{pypi_source}
BuildArch:	noarch
BuildRequires:  python3-devel

%description
pytz brings the Olson tz database into Python. This library allows
accurate and cross platform timezone calculations using Python 2.3 or
higher. It also solves the issue of ambiguous times at the end of
daylight savings, which you can read more about in the Python Library
Reference (datetime.tzinfo).

Almost all (over 540) of the Olson timezones are supported.

%package -n	python3-%{pypi_name}
Summary:	World timezone definitions for Python 3
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n	python3-%{pypi_name}
pytz brings the Olson tz database into Python 3. This library allows
accurate and cross platform timezone calculations using Python 2.3 or
higher. It also solves the issue of ambiguous times at the end of
daylight savings, which you can read more about in the Python Library
Reference (datetime.tzinfo).

Almost all (over 540) of the Olson timezones are supported.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc *.txt


%changelog
* Wed Feb 26 2025 wally <wally> 2025.1-2.mga10
+ Revision: 2152768
- really rebuild for python3.13
- rebuild for python3.13

* Sat Feb 01 2025 daviddavid <daviddavid> 2025.1-1.mga10
+ Revision: 2144015
- new version: 2025.1

* Sat Mar 02 2024 papoteur <papoteur> 2024.1-1.mga10
+ Revision: 2047110
- new version 2024.1

* Wed Dec 13 2023 papoteur <papoteur> 2023.3-3.mga10
+ Revision: 2017876
- rebuild for python 3.12

* Thu Dec 07 2023 wally <wally> 2023.3-2.mga10
+ Revision: 2014982
- rebuild for py3.12
- use pyproject rpm macros

* Wed Apr 05 2023 luigiwalser <luigiwalser> 2023.3-1.mga9
+ Revision: 1951458
- 2023.3

* Fri Jan 27 2023 luigiwalser <luigiwalser> 2022.7.1-1.mga9
+ Revision: 1936317
- 2022.7.1

* Wed Mar 23 2022 umeabot <umeabot> 2021.3-2.mga9
+ Revision: 1822135
- Mageia 9 Mass Rebuild

* Sun Feb 06 2022 wally <wally> 2021.3-1.mga9
+ Revision: 1772053
- new version 2021.3
- rebuild for python3.10

* Sun Mar 14 2021 wally <wally> 2021.1-1.mga9
+ Revision: 1702558
- new version 2021.1
- rebuild for python 3.9

* Wed Dec 30 2020 luigiwalser <luigiwalser> 2020.5-1.mga8
+ Revision: 1666268
- 2020.5

* Wed Nov 18 2020 guillomovitch <guillomovitch> 2020.4-1.mga8
+ Revision: 1647359
- new version 2020.4

* Tue Apr 28 2020 daviddavid <daviddavid> 2020.1-1.mga8
+ Revision: 1572910
- new version: 2020.1

* Sun Feb 16 2020 umeabot <umeabot> 2019.2-3.mga8
+ Revision: 1535276
- Mageia 8 Mass Rebuild

* Fri Oct 11 2019 tv <tv> 2019.2-2.mga8
+ Revision: 1451714
- rebuild with python 3.8

* Fri Sep 06 2019 wally <wally> 2019.2-1.mga8
+ Revision: 1437826
- new version 2019.2
- drop python2 support
- rebuild for python3.8

* Fri Mar 01 2019 daviddavid <daviddavid> 2018.9-1.mga7
+ Revision: 1370952
- new version: 2018.9

* Sat Jan 05 2019 wally <wally> 2018.3-4.mga7
+ Revision: 1349730
- BR setuptools

* Sat Jan 05 2019 wally <wally> 2018.3-3.mga7
+ Revision: 1349631
- rebuild for python3.7

* Thu Sep 20 2018 umeabot <umeabot> 2018.3-2.mga7
+ Revision: 1289920
- Mageia 7 Mass Rebuild

* Mon Mar 26 2018 daviddavid <daviddavid> 2018.3-1.mga7
+ Revision: 1212547
- new version: 2018.3

* Tue Jan 09 2018 daviddavid <daviddavid> 2017.3-1.mga7
+ Revision: 1191800
- new version: 2017.3
- rename python-pytz to python2-pytz

* Thu Aug 03 2017 tv <tv> 2016.3-2.mga7
+ Revision: 1134518
- rebuild for new python

* Fri Mar 25 2016 daviddavid <daviddavid> 2016.3-1.mga6
+ Revision: 995239
- new version: 2016.3

* Thu Mar 17 2016 daviddavid <daviddavid> 2016.1-1.mga6
+ Revision: 992317
- new version: 2016.1

* Sat Feb 20 2016 umeabot <umeabot> 2015.7-2.mga6
+ Revision: 972089
- Mageia 6 Mass Rebuild

* Mon Oct 26 2015 daviddavid <daviddavid> 2015.7-1.mga6
+ Revision: 895523
- new version: 2015.7

* Sat Oct 10 2015 daviddavid <daviddavid> 2015.6-1.mga6
+ Revision: 889229
- new version: 2015.6
- use new python macros

* Wed Oct 07 2015 tv <tv> 2014.7-5.mga6
+ Revision: 886735
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 2014.7-4.mga5
+ Revision: 748486
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2014.7-3.mga5
+ Revision: 728002
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2014.7-2.mga5
+ Revision: 688287
- Mageia 5 Mass Rebuild

* Thu Sep 04 2014 grenoya <grenoya> 2014.7-1.mga5
+ Revision: 671915
- new version 2014.7

* Sat May 31 2014 pterjan <pterjan> 2014.2-2.mga5
+ Revision: 628971
- Rebuild for new Python

* Fri Apr 04 2014 dams <dams> 2014.2-1.mga5
+ Revision: 611622
- new version 2014.2

* Tue Oct 22 2013 umeabot <umeabot> 2013b-3.mga4
+ Revision: 544199
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2013b-2.mga4
+ Revision: 499274
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Jul 03 2013 philippem <philippem> 2013b-1.mga4
+ Revision: 449863
- update to v 2013b, add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 2011h-2.mga3
+ Revision: 379420
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Aug 20 2011 fwang <fwang> 2011h-1.mga2
+ Revision: 134507
- new version 2011h

* Sat Apr 23 2011 grenoya <grenoya> 2011e-1.mga1
+ Revision: 89889
- imported package python-pytz


* Fri Apr 01 2011 Lev Givon <lev@mandriva.org> 2011e-1mdv2011.0
+ Revision: 649666
- Update to 2011e.

* Wed Mar 09 2011 Lev Givon <lev@mandriva.org> 2011c-1
+ Revision: 643098
- Update to 2011c.

* Tue Feb 08 2011 Lev Givon <lev@mandriva.org> 2011b-1
+ Revision: 636877
- Update to 2011b.

* Thu Nov 18 2010 Lev Givon <lev@mandriva.org> 2010o-1mdv2011.0
+ Revision: 598752
- Update to 2010o.

* Thu Nov 04 2010 Paulo Andrade <pcpa@mandriva.com.br> 2010k-2mdv2011.0
+ Revision: 593468
+ rebuild (emptylog)

* Wed Jul 28 2010 Lev Givon <lev@mandriva.org> 2010k-1mdv2011.0
+ Revision: 562607
- Update to 2010k.

* Wed Mar 10 2010 Lev Givon <lev@mandriva.org> 2010e-1mdv2010.1
+ Revision: 517257
- Update to 2010e.

* Mon Jan 04 2010 Lev Givon <lev@mandriva.org> 2009u-1mdv2010.1
+ Revision: 486223
- Update to 2009u.

* Tue Sep 29 2009 Lev Givon <lev@mandriva.org> 2009n-1mdv2010.0
+ Revision: 450927
- Update to 2009n.

* Mon Aug 10 2009 Lev Givon <lev@mandriva.org> 2009j-1mdv2010.0
+ Revision: 414453
- Update to 2009j.

* Sun Jan 04 2009 Funda Wang <fwang@mandriva.org> 2008i-2mdv2009.1
+ Revision: 324092
- rebuild

* Fri Nov 07 2008 Lev Givon <lev@mandriva.org> 2008i-1mdv2009.1
+ Revision: 300408
- Update to 2008i.

* Mon Oct 13 2008 Lev Givon <lev@mandriva.org> 2008h-1mdv2009.1
+ Revision: 293371
- Update to 2008h.

* Fri Jul 11 2008 Lev Givon <lev@mandriva.org> 2008c-1mdv2009.0
+ Revision: 233820
- import python-pytz


* Fri Jul 11 2008 Lev Givon <lev@mandriva.org> 2008c-1mdv2008.1
- Package for Mandriva.

